Bug 58235 - Change of IP address via neat or linuxconf not effected after network & xinetd reload
Change of IP address via neat or linuxconf not effected after network & xinet...
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: netcfg (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-11 10:25 EST by Need Real Name
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 12:44:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-01-11 10:25:13 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.7-10 i686)

Description of problem:
When I change IP address in either linuxconf or via network configuration tool
in KDE Kontrol Panel the new IP address is accepted. (I can close and then
reopen and see the new IP address).  Linuxconf then reloads the network and
xinetd with no errors.  However, ifconfig -a shows old IP.  If I check linuxconf
or neat again it shows the new IP.  I suspect that the network reload is
failing.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.change IP address with /usr/bin/neat (or linuxconf)
2.reload netork & xinetd (automatic in linuxconf I assume same with neat
3.run ifconfig -a to verify lack of change.
4.reboot
5.IP now changed
(A reboot will always fix the problem)
(I am changing from 10.1.*.* to 10.17.*.* and back regularly
	

Actual Results:  change of IP not effected

Expected Results:  IP changed

Additional info:

RedHat 7.2 installed on a Compaq Armada M300 Laptop.  10 GB HD, 320 MB RAM. 
Dual boot with Win2000 (using 2000 boot loader)
/hda1 = C:\ NTFS
/hda2 = /boot ext2fs
/hda3 = E:\ FAT 16  (also /win in linux
/hda5(-12) /"various linux partitions"
Standard Laptop install with a few extra applications from distro CDs installed.
Comment 1 Bill Nottingham 2006-08-07 15:29:14 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 2 Bill Nottingham 2006-10-18 12:44:33 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.